Add the version of lint that was removed in Android Lint update.

Add the version of lint that was removed in
https://chromium-review.googlesource.com/c/483006/
so that work in third_party/android_tools can be unblocked.

Bug:669999

Change-Id: Ic46496b021cbd5f035f38d931579d2efa99a09a9
Reviewed-on: https://chromium-review.googlesource.com/487743
Reviewed-by: Andrew Grieve <agrieve@chromium.org>
diff --git a/sdk/tools/lint b/sdk/tools/lint
new file mode 100755
index 0000000..3d2f9f4
--- /dev/null
+++ b/sdk/tools/lint
@@ -0,0 +1,73 @@
+#!/bin/bash
+# Copyright 2011, The Android Open Source Project
+#
+# Licensed under the Apache License, Version 2.0 (the "License");
+# you may not use this file except in compliance with the License.
+# You may obtain a copy of the License at
+#
+#     http://www.apache.org/licenses/LICENSE-2.0
+#
+# Unless required by applicable law or agreed to in writing, software
+# distributed under the License is distributed on an "AS IS" BASIS,
+# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
+# See the License for the specific language governing permissions and
+# limitations under the License.
+
+# Set up prog to be the path of this script, including following symlinks,
+# and set up progdir to be the fully-qualified pathname of its directory.
+prog="$0"
+while [ -h "${prog}" ]; do
+    newProg=`/bin/ls -ld "${prog}"`
+    newProg=`expr "${newProg}" : ".* -> \(.*\)$"`
+    if expr "x${newProg}" : 'x/' >/dev/null; then
+        prog="${newProg}"
+    else
+        progdir=`dirname "${prog}"`
+        prog="${progdir}/${newProg}"
+    fi
+done
+oldwd=`pwd`
+progdir=`dirname "${prog}"`
+cd "${progdir}"
+progdir=`pwd`
+prog="${progdir}"/`basename "${prog}"`
+cd "${oldwd}"
+
+jarfile=lint.jar
+frameworkdir="$progdir"
+libdir="$progdir"
+if [ ! -r "$frameworkdir/$jarfile" ]
+then
+    frameworkdir=`dirname "$progdir"`/tools/lib
+    libdir=`dirname "$progdir"`/tools/lib
+fi
+if [ ! -r "$frameworkdir/$jarfile" ]
+then
+    frameworkdir=`dirname "$progdir"`/framework
+    libdir=`dirname "$progdir"`/lib
+fi
+if [ ! -r "$frameworkdir/$jarfile" ]
+then
+    echo `basename "$prog"`": can't find $jarfile"
+    exit 1
+fi
+
+# Check args.
+if [ debug = "$1" ]; then
+    # add this in for debugging
+    java_debug=-agentlib:jdwp=transport=dt_socket,server=y,address=8050,suspend=y
+    shift 1
+else
+    java_debug=
+fi
+
+javaCmd="java"
+
+jarpath="$frameworkdir/$jarfile"
+
+exec "$javaCmd" \
+    -Xmx1024m $os_opts $java_debug \
+    -Dcom.android.tools.lint.bindir="$progdir" \
+    -Djava.awt.headless=true \
+    -classpath "$jarpath" \
+    com.android.tools.lint.Main "$@"